aboutsummaryrefslogtreecommitdiffstats
path: root/tools/scons/files/.svn/text-base/pywrap.sh.svn-base
diff options
context:
space:
mode:
Diffstat (limited to 'tools/scons/files/.svn/text-base/pywrap.sh.svn-base')
-rw-r--r--tools/scons/files/.svn/text-base/pywrap.sh.svn-base15
1 files changed, 15 insertions, 0 deletions
diff --git a/tools/scons/files/.svn/text-base/pywrap.sh.svn-base b/tools/scons/files/.svn/text-base/pywrap.sh.svn-base
new file mode 100644
index 0000000..f62f590
--- /dev/null
+++ b/tools/scons/files/.svn/text-base/pywrap.sh.svn-base
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+case "${0##*/}" in
+ pywrap.sh) arg1="";;
+ *) arg1="$0.py" ;;
+esac
+
+for bin in python python2 python2.7 python2.6 python2.5 python2.4; do
+ case "$($bin -V 2>&1)" in
+ "Python 2"*) exec $bin $arg1 "$@" ;;
+ esac
+done
+
+echo "Unable to find a Python 2.x interpreter for executing ${arg1:+$arg1 }$@ !" >&2
+exit 1